body, html {
	margin: 0;
	width: 100%;
	height: 100%;
	font-family: sans-serif;
}

main, #map {
	width: 100%;
	height: 100%;
}

#controls {
	position: absolute;
	top: 50px;
	right: 50px;
	background: white;
	border-radius: 10px;
	padding: 20px;
}

#controls h1, #controls h2 {
	margin-top: 0;
}

#controls h1, h2 {
	margin-bottom: 3px;
}

#weather-update-form {
	display: flex;
	gap: 2px;
}

#weather-update-form input[type="text"] {
	flex: 1;
}

input[type="text"] {
	border: 1px solid black;
	border-radius: 2px;
	font-family: sans-serif;
	font-size: medium;
	padding: 5px;
}

input[type="submit"] {
	background: #fff;
	border: 1px solid black;
	border-radius: 2px;
	font-size: medium;
	padding: 5px;
}

.weather-icon-wrapper {
	display: flex;
	align-items: center;
	gap: 5px;
}
